from nicegui import binding

class GlobalDatas:
    user_select_path = binding.BindableProperty()
    is_loading = binding.BindableProperty()
    progress_value = binding.BindableProperty()

    def __init__(self, inital_path):
        self.user_select_path = inital_path
        self.is_loading = False
        self.progress_value = 0.0

global_data = GlobalDatas("还未选择路径")

__all__ = ["global_data"]
